<div id="listProductAdmin">
  <v-dialog
    v-model="listProductAdmin"
    fullscreen
    transition="dialog-bottom-transition"
  >
    <div>
      <v-card
        v-if="onDialog  == false"
        class="main-bg"
        style="min-height: 100vh"
      >
        <div
          id="hideBottomInput"
          class="sm:pa-6 pa-3"
          style="max-width: 768px; width: 100%; margin: 0 auto"
        >
          <div class="d-flex w-full justify-between align-center">
            <div>
              <h1 class="font-semibold text-2xl text-gray-900">
                Create new Store
              </h1>
              <h3 class="font-normal text-base text-gray-900">
                Choose a product and create new store of that product
              </h3>
            </div>
            <v-btn icon @click="handleCloseDialog()">
              <v-icon>mdi-close</v-icon>
            </v-btn>
          </div>
          <v-divider class="my-6"></v-divider>
          <div v-if="!isCorrect" id="hideBottomInput">
            <div
              style="max-width: 384px"
              class="mx-auto pa-4 mt-6 mt-lg-11 bg-white rounded-lg ui-card-lock-product"
            >
              <div class="flex justify-center bg-bg-surface rounded-lg pa-5">
                <img
                  src="~/assets/images/lock-product.png"
                  alt=""
                  width="250"
                  height="200"
                />
              </div>
              <div class="mt-4">
                <p class="mb-0 text-center text-lg font-semibold">
                  Enter Password
                </p>
                <p class="mb-0 text-center text-sm">
                  List of product is locked. You have to enter the <br />
                  password given by admin to view this.
                </p>
              </div>
              <div class="mt-4">
                <v-text-field
                  dense
                  outlined
                  placeholder="Enter password"
                  v-model="password"
                  @keyup.enter="onSetPassword"
                  :append-icon="isHidePassword ? 'mdi-eye' : 'mdi-eye-off'"
                  :type="isHidePassword ? 'text' : 'password'"
                  @click:append="isHidePassword = !isHidePassword"
                ></v-text-field>
              </div>
              <div class="mt-4 flex justify-center">
                <v-btn
                  color="#3B82F6"
                  class="elevation-0"
                  height="44px"
                  @click="onSetPassword()"
                >
                  <span class="text-sm font-semibold white--text capitalize">
                    View Product Lists
                  </span>
                </v-btn>
              </div>
            </div>
          </div>
          <div v-else>
            <v-autocomplete
              prepend-inner-icon="mdi-magnify"
              class="rounded-lg"
              placeholder="Search product..."
              outlined
              v-model="searchNameValue"
              dense
              :items="productList"
              item-text="productName"
              item-value="productName"
              @change="onGetProductList(item)"
              v-debounce:800ms="onGetProductList"
              :disabled="loadingProduct"
            >
              <template v-slot:item="{item}">
                <img
                  v-if="item.listImageId && item.listImageId[0] && item.listImageId[0].imageUrl"
                  :src="convertImage(item.listImageId[0].imageUrl || '')"
                  alt=""
                  width="48"
                  height="48"
                  class="rounded"
                />
                <span class="ml-2"> {{item.productName}}</span>
              </template>
            </v-autocomplete>
            <v-skeleton-loader
              v-if="loadingProduct"
              class="mx-auto mt-10"
              width="100%"
              type="card"
              height="200px"
            >
            </v-skeleton-loader>
            <div
              v-else
              class="d-flex items-center flex-col justify-between h-full"
            >
              <div class="grid grid-cols-12 mt-4 sm:gap-4 gap-3">
                <div
                  v-for="(item, idx) in productList"
                  :key="idx"
                  class="sm:col-span-4 col-span-6"
                >
                  <v-card
                    class="elevation-0 bg-blue-100 h-full product-card d-flex flex-column justify-between p-2"
                    style="border: 1px solid #e5e7eb !important"
                  >
                    <div class="img-fr">
                      <img
                        v-if="item.listImageId && item.listImageId[0] && item.listImageId[0].imageUrl"
                        :src="convertImage(item.listImageId[0].imageUrl || '')"
                        alt=""
                      />
                      <img v-else src="~assets/images/no-product.png" alt="" />
                    </div>

                    <p class="font-normal text-sm sm:text-base text-desc my-3">
                      {{item && item.productName && item.productName.length > 40
                      ? item.productName.slice(0,40) + '...': item.productName}}
                    </p>

                    <div class="flex justify-between gap-3 price-fr" style="">
                      <div
                        class="flex flex-col justify-center bg-gray-100 px-2"
                      >
                        <p class="text-xs font-normal mb-0">Selling Price</p>
                        <p class="font-semibold text-sm mb-0">
                          {{item && item.listVariant[0] &&
                          item.listVariant[0].price}}
                        </p>
                      </div>
                      <div
                        class="flex flex-col justify-center bg-gray-100 px-2"
                      >
                        <p class="text-xs font-normal mb-0">
                          Cost
                          <span class="icon-cost">
                            <v-icon color="#171717" small>
                              mdi-help-circle-outline
                            </v-icon>
                          </span>
                        </p>
                        <p class="font-semibold text-sm mb-0">
                          {{item && item.listVariant[0] &&
                          item.listVariant[0].productCost}}
                        </p>
                      </div>
                    </div>
                    <div class="btns-hover pa-2">
                      <button
                        @click="onOpenDialog(item._id)"
                        class="bg-blue-500 text-white font-semibold text-sm rounded-md py-3 w-full mb-2"
                      >
                        Create new Store
                      </button>

                      <v-btn
                        @click="viewSite(item._id)"
                        height="36"
                        class="view-site-btn rounded-md text-none elevation-0 w-full"
                        color="white"
                      >
                        <v-icon size="16" class="mr-2" color="#3b82f6">
                          mdi-open-in-new
                        </v-icon>
                        Preview Site
                      </v-btn>
                    </div>
                    <div class="background-hover"></div>
                  </v-card>
                </div>
              </div>
              <v-pagination
                class="mt-8"
                v-model="config.page"
                :length="totalPage"
                :total-visible="5"
                prev-icon="mdi-menu-left"
                next-icon="mdi-menu-right"
              >
              </v-pagination>
              <v-divider class="my-6"></v-divider>
            </div>
          </div>
        </div>
      </v-card>
      <v-card v-if="onDialog  == true" class="pa-3" style="min-height: 100vh">
        <div
          id="hideBottomInput"
          class="sm:pa-6 pa-3"
          style="max-width: 768px; width: 100%; margin: 0 auto"
        >
          <div class="d-flex w-full justify-between align-center">
            <div class="flex items-center">
              <v-btn icon @click="onCloseDialog()" class="mr-3">
                <v-icon>mdi-arrow-left</v-icon>
              </v-btn>
              <div>
                <h1 class="font-semibold text-lg sm:text-2xl text-gray-900">
                  Enter store name & Domain
                </h1>
                <h3 class="font-normal sm:text-base text-sm text-gray-900">
                  Choose a product and create new store of that product
                </h3>
              </div>
            </div>
            <v-btn icon @click="handleCloseDialog()">
              <v-icon>mdi-close</v-icon>
            </v-btn>
          </div>
          <v-divider class="my-4"></v-divider>
          <v-alert dense color="blue" outlined text type="info">
            <p class="text-xs sm:text-sm font-normal mb-0 text-gray-900">
              You will create a new store for product
              “{{tempProduct.productName}}”
            </p>
            <p class="text-xs sm:text-sm font-normal mb-0 text-gray-900">
              Product ID: #{{tempProduct._id}}
            </p>
          </v-alert>
          <div class="mb-4">
            <p class="mb-2 text-xs sm:text-sm text-gray-900 font-normal">
              Domain name
              <span class="font-semibold text-gray-900">*required</span>
            </p>
            <div class="input-fr">
              <input
                v-debounce:500ms="onCheckDomain"
                :disabled="loadingCheckDomain"
                v-model="createStore.domain"
                type="text"
                placeholder="example.domain"
                class="focus:outline-none focus:border-sky-500 focus:ring-sky-500 focus:ring-1 focus:rounded-tl-md focus:rounded-bl-md"
              />
              <div id="hideBottomInput">
                <v-autocomplete
                  :disabled="loadingCheckDomain"
                  class="rounded-lg"
                  label="Choose domain"
                  outlined
                  v-model="subDomain"
                  dense
                  :items="domains"
                  item-text="domain"
                  item-value="domain"
                  @change="onSelectDomain(subDomain)"
                >
                  <template v-slot:item="{item}">
                    <span class="ml-2"> {{item.domain}}</span>
                  </template>
                </v-autocomplete>
              </div>
            </div>
            <span class="text-red-500 text-sm" v-if="isDomainExist">
              Domain already exists
            </span>
            <span class="text-green-500 text-sm" v-if="isDomainNotExist">
              Domain ready to use
            </span>
            <span v-if="isErrorDomainName" class="text-red-500 text-sm">
              Domain cannot be more than 63 characters
            </span>
            <p class="mb-0 mt-2 text-xs text-gray-900 font-semibold">
              Your store will be public on the website: example.mysale.com
            </p>
          </div>
          <div class="mb-4">
            <p class="mb-2 text-xs sm:text-sm text-gray-900 font-normal">
              Logo Title/Shop Name
              <span class="font-semibold text-gray-900">*required</span>
            </p>
            <div class="input-fr">
              <input
                :disabled="loadingCheckDomain"
                v-model="createStore.storeName"
                type="text"
                placeholder="Enter your shop name"
                class="focus:outline-none focus:border-sky-500 focus:ring-sky-500 focus:ring-1 focus:rounded-md"
              />
            </div>
          </div>
          <div class="mb-4">
            <p class="mb-2 text-xs sm:text-sm text-gray-900 font-normal">
              Email Support
              <span class="font-semibold text-gray-900">*required</span>
            </p>
            <div class="input-fr">
              <input
                :disabled="loadingCheckDomain"
                v-model="domain.supportEmail"
                value="domain.supportEmail"
                readonly
                type="email"
                placeholder="Your support email"
              />
            </div>
          </div>
          <div class="d-flex gap-2 justify-end sm:pa-4">
            <v-btn
              :disabled="loadingCheckDomain || loading"
              @click="onCloseDialog()"
              class="text-capitalize sm:py-6 py-3"
              outlined
            >
              Back
            </v-btn>
            <v-btn
              @click="onCreateStore()"
              color="primary"
              :disabled="domains.length <= 0 || loadingCheckDomain || loading || isDomainExist"
              class="text-capitalize text-white sm:py-6 py-3"
              depressed
            >
              <v-progress-circular
                v-if="loading"
                size="18"
                indeterminate
                color="#076CE3"
              >
              </v-progress-circular>
              <span v-else> Create new Store </span>
            </v-btn>
          </div>
        </div>
      </v-card>
    </div>
  </v-dialog>
</div>
